@echo OFF & MODE CON COLS=38 LINES=14 & title Minecraft MCBBS Launcher & COLOR 20
for /f "tokens=1,2 delims==" %%a in (.\.minecraft\Launcher.ini) do (
if %%a==name set name=%%b
if %%a==min set min=%%b
if %%a==max set max=%%b
)
IF /I '%min%'=='' set min=512
IF /I '%max%'=='' set max=1024

:res1
title Minecraft MCBBS Launcher
cls
echo.
echo  Minecraft MCBBS Launcher for 1.2.5
echo         ##쥄쥄쥄쥄줿쥄쥀쥄쥄쥄쥄쥄쥄쥄쥄쥄
echo         ##Windows Launcher
echo.
echo   Memory usage %min%MB-%max%MB
echo   set memory please input setmem 
echo.
IF /I '%name%'=='' GOTO noname
echo 쥀Input UserName with죣Enter죥
echo 쥅or Press Enter죥 %name%.
goto goname
:noname
echo.
echo 쥀Input UserName with죣Enter죥좧
:goname
SET /P name=##⊇
IF /I '%name%'=='' GOTO res1
IF /I '%name%'=='setmem' GOTO set
set APPDATA=%CD%
start /D ".\.minecraft\bin" .\Java\bin\javaw.exe -cp jinput.jar;lwjgl.jar;lwjgl_util.jar;minecraft.jar -Xms%min%m -Xmx%max%m -Djava.library.path=".\natives" net.minecraft.client.Minecraft "%name%"
del /f /s "%CD%\.minecraft\Launcher.ini"
echo version=%version%>>"%CD%\.minecraft\Launcher.ini"&echo name=%name%>>"%CD%\.minecraft\Launcher.ini"&echo min=%min%>>"%CD%\.minecraft\Launcher.ini"&echo max=%max%>>"%CD%\.minecraft\Launcher.ini"
exit
:set
:ms
cls
echo.
echo  Minecraft MCBBS Launcher for 1.2.5
echo          ##쥄쥄쥄쥄줿쥄쥀쥄쥄쥄쥄쥄쥄쥄쥄쥄
echo          ##Minimum memory
echo.
echo    You can set Minimum memory
echo           128MB-1024MB.
echo.
echo 쥀Input 128-1024 with죣Enter죥
echo 쥅or Input죥 pass.
SET /P min=##⊇
:mx
cls
echo.
echo  Minecraft MCBBS Launcher for 1.2.5
echo          ##쥄쥄쥄쥄줿쥄쥀쥄쥄쥄쥄쥄쥄쥄쥄쥄
echo          ##Maximum memory
echo.
echo    You can set Maximum memory
echo           128MB-1024MB.
echo.
echo 쥀Input 128-1024 with죣Enter죥
echo 쥅or Input죥 pass.
SET /P max=##⊇
for /f "tokens=1,2 delims==" %%a in (.\.minecraft\Launcher.ini) do (
if %%a==name set name=%%b
)
del /f /s "%CD%\.minecraft\Launcher.ini"
echo version=%version%>>"%CD%\.minecraft\Launcher.ini"&echo name=%name%>>"%CD%\.minecraft\Launcher.ini"&echo min=%min%>>"%CD%\.minecraft\Launcher.ini"&echo max=%max%>>"%CD%\.minecraft\Launcher.ini"
goto res1